Loading...
Searching...
No Matches
debugstream.hh File Reference
Common » Debug output

Defines several output streams for messages of different importance. More...

`#include <iostream>`
`#include <stack>`
`#include <dune/common/exceptions.hh>`

Go to the source code of this file.

## Classes

struct | Dune::greater_or_equal< current, threshold >
| Greater or equal template test. More...
struct | Dune::common_bits< current, mask >
| activate if current and mask have common bits switched on. More...
class | Dune::DebugStreamError
| standard exception for the debugstream More...
class | Dune::StreamWrap
class | Dune::DebugStreamState
| Intermediate class to implement tie-operation of DebugStream. More...
class | Dune::DebugStream< thislevel, dlevel, alevel, activator >
| Generic class to implement debug output streams. More...

## Namespaces

namespace | Dune
| Dune namespace

## Typedefs

typedef unsigned int | Dune::DebugLevel
| Type for debug levels.

## Detailed Description

Defines several output streams for messages of different importance.

This file implements the class DebugStream to support output in a variety of debug levels. Additionally, template parameters control if the output operation is really performed so that unused debug levels can be deactivated